Subject: OHTTP status update and next steps

From: Francesca Palombini <[email-masked]>
Date: Sat, 19 Jun 2021 15:42:15 +0000

All,

(Secdispatch and httpbis wg Bcc'ed)

First of all thank you for the discussion. Just to summarize the status and the history behind this proposed working group, as I think several people got confused: this proposal was introduced in January presented at Secdispatch 110 in March, and got enough discussion and support that the chairs dispatched to a short-lived working group. BoF or no-BoF was not really discussed, but given the comments there and in the mailing lists, it seemed to us ADs as if a BoF was not needed.

Because this is a cross-area collaboration, we agreed on proposing this working group in the security area, with an ART responsible AD, and given that I am responsible for HTTP related wgs it seemed natural for me to take this on as well.

The working group charter has been in internal review only, i.e. review by the IESG before it goes out to the wider IETF community, but the mailing list has been created (as it is the case for proposed working groups), and in addition to that I had to request a session to make sure the to-be-working group would get a session at IETF 111. I think that has confused some people as if the working group had been approved, which is not the case. Also, I have seen and was silently following the comments that people have brought up since chartering has started, but since this is in internal review only I have not yet gotten involved in the discussions.

Now for the updates: following the telechat Thursday, several ADs have raised concerns that despite the effort to reach out, several people in their area felt this had not been given enough time for discussion, and the cross-area implications of this work meant that a BoF would be warranted. As a consequence, OHTTP will have a session at IETF 111 as BoF, while the charter will stay in IESG evaluation (for internal review) until then. My expectation and hope is that we can keep the momentum for the discussion on scope and chartering on the ohttp mailing list, as it has been since the proposal, as well as for the authors to continue getting feedback and progressing their drafts.

On that, thank you to everyone who has provided feedback and comments on the proposal, and thank you to the proponents for following up on the comments received, both from the IESG and the wider community. Let's continue, in preparation for the BoF at IETF 111.

Francesca